<template>
  <div
    :class="[Number(item.chapters) >1 ? 'max__width__100': 'max__width__50', 'my-5 px-10 py-10 flex justify-between bg-gray']"
  >
    <div
      :class="[Number(item.chapters) >1 ? 'max__width__18' : 'max__width__35','flex justify-between align-center']"
    >
      <p class="pr-8 font-size-15">Temporada:</p>
      <el-input v-model="item.season" size="small" v-on:keypress.native="isNumber"></el-input>
    </div>
    <div
      :class="[Number(item.chapters) >1 ? 'max__width__22' : 'max__width__40','flex justify-between align-center']"
    >
      <p class="px-5 font-size-15 width__180">N° de Capítulos:</p>
      <el-input
        v-model="item.chapters"
        @input="changeTotalCaps(item.chapters)"
        @change="verificarInformacion({item,$event})"
        size="small"
        v-on:keypress.native="isNumber"
      ></el-input>
    </div>
    <div class="flex justify-between align-center max__width__20" v-if="Number(item.chapters) >1">
      <p class="pr-8 font-size-15 width__100">N° Cap. de Inicio:</p>
      <el-input
        v-model="item.firstCap"
        size="small"
        v-on:keypress.native="isNumber"
        @change="changeCap({value: item.firstCap, element: 'firstCap'})"
      ></el-input>
    </div>
    <div class="flex justify-between align-center max__width__20" v-if="Number(item.chapters) >1">
      <p class="pr-8 font-size-15 width__100">N° Cap. de Final:</p>
      <div class="max__width_75">
        <el-input
          v-model="item.lastCap"
          size="small"
          v-on:keypress.native="isNumber"
          @change="changeCap({value: item.lastCap, element: 'lastCap'})"
        ></el-input>
        <p
          class="font-size-11 text-red-color mt-2"
          style="line-height: 10px"
          v-if="item.lastCap< item.firstCap"
        >Debe ser mayor a {{item.firstCap}}</p>
      </div>
    </div>
  </div>
</template>
<script>
export default {
	name: "ChapterComponent",
	props:{
			item: {type: Object, required: false}
	},
	methods: {
		changeTotalCaps(val) {
			this.$emit('changeTotalCaps', val)
		},
		verificarInformacion(val) {
			this.$emit('verificate', val)
		},
		changeCap(val) {
			this.$emit('changeCap', val)
		},
		isNumber(evt) {
			evt = evt ? evt : window.event
			var charCode = evt.which ? evt.which : evt.keyCode
			if (
					charCode > 31 &&
					(charCode < 48 || charCode > 57) &&
					charCode !== 46
			) {
					evt.preventDefault()
			} else {
					return true
			}
		},
	},

	mounted() {
		console.log({item: this.item})
	},
  updated(){
    console.log("this.item", this.item)
  }
}
</script>
<style lang="css">
.align-center {
  align-items: center;
}
</style>